Bug 1488939 (CVE-2017-13742) - CVE-2017-13742 liblouis: Stack-buffer overflow in the function includeFile()
Summary: CVE-2017-13742 liblouis: Stack-buffer overflow in the function includeFile()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-13742
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170823,reported=2...
Depends On: 1488944 1492523 1492524
Blocks: 1488949
TreeView+ depends on / blocked
 
Reported: 2017-09-06 13:38 UTC by Andrej Nemec
Modified: 2019-06-08 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-03 16:05:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3111 normal SHIPPED_LIVE Moderate: liblouis security update 2017-11-02 19:51:34 UTC

Description Andrej Nemec 2017-09-06 13:38:00 UTC
There is a stack-based buffer overflow in Liblouis 3.2.0, triggered in the function includeFile() in compileTranslationTable.c, that will lead to a denial of service attack.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1484334

Comment 1 Andrej Nemec 2017-09-06 13:40:42 UTC
Created liblouis tracking bugs for this issue:

Affects: fedora-all [bug 1488944]

Comment 4 errata-xmlrpc 2017-11-02 15:52:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3111 https://access.redhat.com/errata/RHSA-2017:3111


Note You need to log in before you can comment on or make changes to this bug.